use clap::Parser;

use super::{GivenDay, GivenTask};

#[derive(Debug, Parser)]
pub struct CliSolutionToSolve {
    #[arg(short, long)]
    day: GivenDay,
    #[arg(short, long)]
    task: GivenTask,
    #[arg(short, long)]
    read_as_file: bool,
    input: String,
}

impl CliSolutionToSolve {
    pub fn day(&self) -> GivenDay {
        self.day
    }

    pub fn task(&self) -> GivenTask {
        self.task
    }

    pub fn input(&self) -> &str {
        &self.input
    }

    pub fn read_as_file(&self) -> bool {
        self.read_as_file
    }
}
